#	Descrip.mms for OpenVMS MMS (or MMK)
#
#	Build file for GD (v1.8.1) on OpenVMS/Alpha using Compaq's MMS (DECset)
#	or the free MadGoat MMK clone.
#
#	Written by: Rick Dyson (rick-dyson@uiowa.edu)  7-APR-2000
#       Modified: 30-MAR-2001 Rick Dyson  For use with Analog v4.90beta.
#                                         Added gdfontf.*
#
#	This was crudely put together to work with the required JPEG, Z,
#	and PNG libraries in adjacent locations.  If you have them elsewhere, 
#	you need to change the logical name pointers below.

DEFS = /Define = HAVE_JPEG /Warnings = NoInformationals
INCS = /Include = ([], LibJPEG:, LibPNG:, LibZ:)

CFLAGS = $(COMPFLAGS) $(DEFS) $(INCS) $(CFLAGS)
LINKFLAGS = $(LINKFLAGS) $(DEBUG)

.first 
	@ If (F$TrnLnm ("LibJPEG") .eqs. "") Then Define LibJPEG Sys$Disk:[-.LibJPEG]
	@ If (F$TrnLnm ("LibPNG") .eqs. "")  Then Define LibPNG  Sys$Disk:[-.LibPNG]
	@ If (F$TrnLnm ("LibZ") .eqs. "")    Then Define LibZ    Sys$Disk:[-.ZLib]

lib :	libgd.olb
	@ Write Sys$Output "LibGD build complete..."

libgd.olb :	gd.obj gd_gd.obj gd_gd2.obj gd_io.obj gd_io_dp.obj \
		gd_io_file.obj gd_ss.obj gd_io_ss.obj gd_png.obj gd_jpeg.obj \
		gdxpm.obj gdfontt.obj gdfonts.obj gdfontmb.obj gdfontl.obj \
		gdfontg.obj gdtables.obj gdttf.obj gdcache.obj gdkanji.obj \
                gdfontf.obj
	@ Library /Create $* $+

gdkanji.obj :	gdkanji.c
	$(CC) $(CFLAGS) /NoWarnings $*

gdcache.obj :	gdcache.c
	$(CC) $(CFLAGS) /NoWarnings $*

gd_jpeg.obj :	gd_jpeg.c
	$(CC) $(CFLAGS) /Warnings = NoInformationals $*

clean :
	- Purge /NoLog /NoConfirm *.mms, *.obj, *.olb

clobber :	clean
	- Delete /NoLog /NoConfirm *.obj;,*.olb;
